These are chat archives for getredash/redash

14th
Jul 2015
michelecoleman
@michelecoleman
Jul 14 2015 03:19
We updated our redash instance tonight to 0.6.4+b911
@arikfr I got your email suggesting to upgrade
But now running the command bin/run ./manage.py version gives this output:
[2015-07-14 03:14:26,787][PID:32671][WARNING][redash.query_runner.influx_db] Missing dependencies. Please install influxdb.
[2015-07-14 03:14:26,787][PID:32671][WARNING][redash.query_runner.influx_db] You can use pip: pip install influxdb
[2015-07-14 03:14:26,787][PID:32671][WARNING][redash.query_runner] InfluxDB query runner enabled but not supported, not registering. Either disable or
He also found it completely non-obvious that the proper procedure was to download & run fabric on your local machine, not on the redash server.
Okay, my CTO just installed influxdb and the error went away
Since now two of us had the same confusion that suggests it would be good to add that detail to the documentation
Arik Fraimovich
@arikfr
Jul 14 2015 04:05
@michelecoleman actually you didn't have to install Influxdb - it's only a warning,for users who might want to use Influxdb. I think I'll remove it and only print it in context of managing data sources.
@michelecoleman as for the fabric script, thanks for the feedback. I'll update the documentation and maybe in the long run just rewrite it to run on the redash instance.
Arik Fraimovich
@arikfr
Jul 14 2015 06:54

@j0t3x @seppemarotta I've added MongoDB data source to the demo instance (https://demo.redash.io), and tried an aggregate query: http://demo.redash.io/queries/387/source looks like it's working (this is the original dataset: http://media.mongodb.org/zips.json).

The only differences between your install and the one on the demo instance, that I can think of are: PyMongo version and MongoDB version. What versions do you have?

Another thing we can do: I sent you both in private messages the connection string to the DB I use. Can you add it, and run the same query in your re:dash instance?

seppemarotta
@seppemarotta
Jul 14 2015 14:15
@arikfr im taking a look at your query , idk what can be happening .
@arikfr i've just answered you in pm , ill run the same query and see what happens
j0t3x
@j0t3x
Jul 14 2015 15:20
@arikfr, we got this error running the query in zipcodes
Error running query: command SON([('listDatabases', 1)]) on namespace admin.$cmd failed: not authorized on admin to execute command { listDatabases: 1 }
Arik Fraimovich
@arikfr
Jul 14 2015 15:25
@j0t3x you're using the wrong db name.
j0t3x
@j0t3x
Jul 14 2015 15:28
its not redash?
Arik Fraimovich
@arikfr
Jul 14 2015 15:36
Oh. No, it's a different issue : you can't list the databases on mongolab, where this db hosted. I removed the try to list them in the latest redash version...
This is why you're getting this error.
j0t3x
@j0t3x
Jul 14 2015 15:37
ok so
upgrade?
seppemarotta
@seppemarotta
Jul 14 2015 15:38
Yeah , same issue here .
Arik Fraimovich
@arikfr
Jul 14 2015 16:25
@j0t3x yes.
@seppemarotta see messages above - you need to upgrade. Sorry about the confusion.
seppemarotta
@seppemarotta
Jul 14 2015 16:27
@arikfr np , ill do it right now.